Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 1427017 - Review Request: php-psr-container - Common Container Interface
Review Request: php-psr-container - Common Container Interface
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: James Hogarth
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-02-27 00:38 EST by Remi Collet
Modified: 2017-03-17 10:49 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-03-09 07:50:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
james.hogarth: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Remi Collet 2017-02-27 00:38:45 EST
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/b16675deb68963975993d69caf986b4e1cd82d7e/php/php-psr-container/php-psr-container.spec
SRPM URL: http://rpms.remirepo.net/SRPMS/php-psr-container-1.0.0-1.remi.src.rpm
Description: 
This package holds all interfaces/classes/traits related to PSR-11.

Note that this is not a container implementation of its own.

Autoloader: /usr/share/php/Psr/Container/autoload.php

Fedora Account System Username: remi
Comment 2 James Hogarth 2017-03-01 08:46:30 EST
===== Issues =====

  * Owns directory in common with another package
    - There is no parent package and the common ownership is valid
  * Old boilerplate in spec file
    - Please remove older boilerplate before import
  * Hard coded /usr/share/php in the autoloader
    * Slightly inconsistent with general use of %{_datadir}/php


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "*No copyright* MIT/X11 (BSD like)",
     "Unknown or generated". 3 files have unknown license. Detailed output
     of licensecheck in /home/james/workspace/fedora-scm/1427017-php-psr-
     container/licensecheck.txt
[!]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/share/php/Psr(php-
     PsrLog)
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[x]: Sources contain only permissible code or content.
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[!]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[!]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.

PHP:
[x]: Run phpci static analyze on all php files.
     Note: phpCompatInfo version 5.0.4 DB version 1.18.0 built Feb 24 2017
     14:46:51 CET static analyze results in /home/james/workspace/fedora-
     scm/1427017-php-psr-container/phpci.log


Rpmlint
-------
Checking: php-psr-container-1.0.0-1.fc26.noarch.rpm
          php-psr-container-1.0.0-1.fc26.src.rpm
php-psr-container.noarch: W: spelling-error %description -l en_US Autoloader -> Auto loader, Auto-loader, Freeloader
php-psr-container.noarch: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
php-psr-container.src: W: spelling-error %description -l en_US Autoloader -> Auto loader, Auto-loader, Freeloader
php-psr-container.src: W: spelling-error %description -l en_US usr -> use, us, user
php-psr-container.src: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
2 packages and 0 specfiles checked; 0 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
php-psr-container.noarch: W: spelling-error %description -l en_US Autoloader -> Auto loader, Auto-loader, Freeloader
php-psr-container.noarch: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
1 packages and 0 specfiles checked; 0 errors, 2 warnings.



Requires
--------
php-psr-container (rpmlib, GLIBC filtered):
    php(language)
    php-composer(fedora/autoloader)



Provides
--------
php-psr-container:
    php-composer(psr/container)
    php-psr-container



Source checksums
----------------
https://github.com/php-fig/container/archive/b7ce3b176482dbbc1245ebf52b181af44c2cf55f/php-psr-container-1.0.0-b7ce3b176482dbbc1245ebf52b181af44c2cf55f.tar.gz :
  CHECKSUM(SHA256) this package     : 93b0edb2c080df4707bcf8d0ebffd9edac3dbf2a32b9f7268b2bc374d9409b97
  CHECKSUM(SHA256) upstream package : 93b0edb2c080df4707bcf8d0ebffd9edac3dbf2a32b9f7268b2bc374d9409b97


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1427017
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

===== Conclusion =====

Package is APPROVED with the old boilerplate stripped out before import.
Comment 3 Remi Collet 2017-03-01 09:25:03 EST
Thanks for the review.

New package requested on pkgdb.
Comment 4 Gwyn Ciesla 2017-03-01 11:12:45 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/php-psr-container
Comment 5 Fedora Update System 2017-03-01 11:36:38 EST
php-psr-container-1.0.0-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-bb9f61ceb8
Comment 6 Fedora Update System 2017-03-01 11:36:46 EST
php-psr-container-1.0.0-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-8743b9de82
Comment 7 Fedora Update System 2017-03-01 11:36:51 EST
php-psr-container-1.0.0-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-9ee7b5a5f1
Comment 8 Fedora Update System 2017-03-01 11:36:56 EST
php-psr-container-1.0.0-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-1b1974e4bf
Comment 9 Fedora Update System 2017-03-01 21:22:29 EST
php-psr-container-1.0.0-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-9ee7b5a5f1
Comment 10 Fedora Update System 2017-03-01 21:53:15 EST
php-psr-container-1.0.0-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-1b1974e4bf
Comment 11 Fedora Update System 2017-03-01 23:16:43 EST
php-psr-container-1.0.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-bb9f61ceb8
Comment 12 Fedora Update System 2017-03-02 12:46:54 EST
php-psr-container-1.0.0-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-8743b9de82
Comment 13 Fedora Update System 2017-03-09 07:50:04 EST
php-psr-container-1.0.0-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2017-03-09 08:22:16 EST
php-psr-container-1.0.0-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2017-03-16 20:18:50 EDT
php-psr-container-1.0.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2017-03-17 10:49:20 EDT
php-psr-container-1.0.0-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.